diff --git a/sdp-utils.c b/sdp-utils.c
index 92953e8c35..d6d365fea8 100644
--- a/sdp-utils.c
+++ b/sdp-utils.c
@@ -18,7 +18,7 @@
 #include "utils.h"
 #include "debug.h"
 
-#define JANUS_BUFSIZE	8192
+#define JANUS_BUFSIZE	16384
 
 /* Preferred codecs when negotiating audio/video, and number of supported codecs */
 const char *janus_preferred_audio_codecs[] = {
